---
title: "Create placement proxy targeting"
type: reference
method: POST
path: /rest-api/placement/{placementId}/targeting/proxy/create.do
tag: "Targeting Rules"
---

# Create placement proxy targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targeting/proxy/create.do`

Creates a proxy type targeting rule for the specified placement. The rule matches traffic based on the detected proxy type of the viewer's connection. Targeting is automatically enabled if it was previously disabled. Requires UPDATE permission on the placement and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `placementId` | integer | yes | `4001` | Unique numeric ID of the placement |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `proxy` | string | yes | `VPN` | Proxy type to target: VPN, TOR, DCH (data center / hosting), PUB (public proxy), WEB (web proxy) or SES (search engine robot) |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Placement not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targeting/proxy/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'proxy=VPN'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-placement-targeting-proxy-create